gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Gtk.TreeDragSource Gtk.TreeModel Gtk.TreeSortable A class that makes an underlying sortable.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  A , the child model for the new object.
  Constructor.
  FIXME: needs more explanation.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  Gtk.TreeIter `System.ParamArray` a Add the list of objects in to the model; there should be enough objects to fill one row of the model. a
- Method
  2.12.0.0
  System.Void Fires a event. Designed to be called by routines that change the sort of the tree.
- Method
  2.12.0.0
  System.Void * This function should almost never be called. It clears the TreeModelSort object of any cached iterators that haven't been reffed with . This might be useful if the child model being sorted is static (and doesn't change often) and there has been a lot of unreffed access to nodes. As a side effect of this function, all unreffed iters will be invalid.
- Method
  2.12.0.0
  Gtk.TreeIter `` a Returns the row in the TreeModel that corresponds to the row pointed to by . a
- Method
  2.12.0.0
  Gtk.TreePath `` A Converts to a path relative to . That is, points to a path in the child model. The returned path will point to the same row in the sorted model. If isn't a valid path on the child model, then is returned. A
- Method
  2.12.0.0
  Gtk.TreeIter `` a Returns an iter that points to the row pointed to by . a
- Method
  2.12.0.0
  Gtk.TreePath `` A Converts to a path on the child model of this TreeModelSort object. (In other words, points to a location within this objectable.) A new that points to the same location as in the model that's not sorted. May also return if the does not point to a location in the child model.
- Property
  2.12.0.0
  Gtk.TreeIterCompareFunc The function to sort columns not otherwise specified by . a This property is meant to be used together with .
- Method
  2.12.0.0
  System.Boolean `` a , the path of the row that was dragged This method asks the source row for the dragged data to delete itself, because that data has been moved elsewhere. a This method returns FALSE if the deletion fails because path no longer exists, or for some other model-specific reason.
- Method
  2.12.0.0
  System.Boolean `` `` a a object to fill with data Asks the to fill in with a representation of the row at . Should robustly handle a path no longer found in the model. A ; true if data of the required type was provided.
- Method
  2.12.0.0
  System.Void `` `` A pointing to the changed row. A pointing to the changed row. Emits a signal for the row in .
- Method
  2.12.0.0
  System.Void `` an object of type Emits the event. This should be called by models after a row has been removed. The location pointed to by should be the location that the row previously was at. It may not be a valid location anymore.
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type Emits the event. This should be called by models after the child state of a node changes.
- Method
  2.12.0.0
  System.Void `` `` an object of type , path of the inserted row. an object of type , points to the inserted row. Emits the event.
- Method
  System.Int32 `` `` Sends out a event. a that points to the row whose children have been reordered. a that points to the row whose children have been reordered. a , pointer to an array of integers with the new indices of the children.
- Method
  2.12.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  Gtk.TreeModelFlags Returns a set of flags supported by this interface. The flags are a bitwise combination of . a The flags supported should not change during the lifecycle of the tree model.
- Method
  2.12.0.0
  System.Void `` A Run on every row in the TreeModel.
- Method
  2.12.0.0
  GLib.GType `` a , the column number. Returns the type of the column at the given index. a
- Method
  2.12.0.0
  System.Boolean `` `` an object of type an object of type Sets to a valid iterator pointing to . an object of type
- Method
  2.12.0.0
  System.Boolean `` an object of type Gets the first iterator in the tree (the one at the path "0") and returns . an object of type Returns if the tree is empty.
- Method
  2.12.0.0
  System.Boolean `` `` an object of type an object of type Gets the at . an object of type Otherwise, is left invalid and is returned.
- Method
  2.12.0.0
  Gtk.TreePath `` an object of type Gets the of . an object of type
- Method
  2.12.0.0
  System.Boolean `` `` a , an integer to put the results in a , an object to put the type of sort into Returns the index of the column currently being used to sort the model data. a
- Method
  2.12.0.0
  System.String `` a Generates a string representation of the path of . a This string is a ':' separated list of numbers. For example, "4:10:0:3" would be an acceptable return value for this string.
- Method
  2.12.0.0
  System.Void `` `` an object of type a , pointer to the va_list data structure of arguments (FIXME: clarify what va_lists look like) Gets the values of child properties for the row pointed to by .
- Method
  2.12.0.0
  System.Object `` `` a a Gets the value stored in column of the row pointed to by . a
- Method
  2.12.0.0
  System.Void `` `` `` a a a Gets the value stored in column of the row pointed to by and stores it in
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.Boolean Return whether this TreeModel has a default sort function or not. a , true if a default sort function exists. See to set a default sort function.
- Method
  2.12.0.0
  System.Boolean `` A to fill with the rows of this tree. Returns the rows of this tree. A , true if this tree has children, false otherwise. The underlying C call supports the specification of arbitrary parent rows to return children of, but the C# bindings assume that the root node is always the parent.
- Method
  2.12.0.0
  System.Boolean `` `` an object of type an object of type Sets to point to the first child of . an object of type If has no children, is returned and is set to be invalid. will remain a valid node after this function has been called.
- Method
  2.12.0.0
  System.Boolean `` an object of type Returns if iter has children, otherwise. an object of type
- Method
  2.12.0.0
  System.Boolean `` a Tests whether is a valid iterator for this TreeModel. a
- Method
  2.12.0.0
  System.Int32 Returns the number of children the object's iterator has. An integer. As a special case, if iter is , then the number of toplevel nodes is returned.
- Method
  2.12.0.0
  System.Int32 `` an object of type Returns the number of children that has. an object of type As a special case, if is , then the number of toplevel nodes is returned.
- Method
  2.12.0.0
  System.Boolean `` an object of type Sets to point to the node following it at the current level. an object of type If there is no next iter, is returned and iter is set to be invalid.
- Method
  2.12.0.0
  System.Boolean `` `` an object of type an object of type Sets to be the child of the root node, using the given index. an object of type In this case, the nth root node is set.
- Method
  2.12.0.0
  System.Boolean `` `` `` an object of type an object of type an object of type Sets to be the child of , using the given index. an object of type The first index is 0. If is too big, or has no children, is set to an invalid iterator and is returned. will remain a valid node after this function has been called.
- Method
  2.12.0.0
  System.Boolean `` `` an object of type an object of type Sets to be the parent of . an object of type If is at the toplevel, and does not have a parent, then is set to an invalid iterator and is returned. will remain a valid node after this function has been called.
- Property
  2.12.0.0
  GLib.Property("model")
  Gtk.TreeModel Tree data model. a
- Property
  2.12.0.0
  System.Int32 The number of columns supported by the object. An integer count of the columns.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowChanged", Type=typeof(Gtk.TreeModelSort))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowDeleted", Type=typeof(Gtk.TreeModelSort))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowHasChildToggled", Type=typeof(Gtk.TreeModelSort))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowInserted", Type=typeof(Gtk.TreeModelSort))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowsReordered", Type=typeof(Gtk.TreeModelSort))
  System.Obsolete("Replaced by int[] new_order overload.")
  System.Void `` `` `` a a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowsReordered", Type=typeof(Gtk.TreeModelSort))
  System.Void `` `` `` Path to the reordered parent node. Iter corresponding to the reordered parent node. An array of the old indices. Default handler for the RowsReordered event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSortColumnChanged", Type=typeof(Gtk.TreeModelSort))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void `` an object of type Lets the tree ref the node.

  This is an optional method for models to implement. To be more specific, models may ignore this call as it exists primarily for performance reasons.

  This function is primarily meant as a way for views to let caching models know when nodes are being displayed (and hence, whether or not to cache that node.) For example, a file-system based model would not want to keep the entire file-hierarchy in memory, just the sections that are currently being displayed by every current view.

  A model should be expected to be able to get an iter independent of its referenced state.

- Method
  2.12.0.0
  System.Void Clear the default sort function.
- Event
  2.12.0.0
  GLib.Signal("row_changed")
  Gtk.RowChangedHandler Raised when a tree row is changed.
- Event
  2.12.0.0
  GLib.Signal("row_deleted")
  Gtk.RowDeletedHandler Raised when a row is deleted from the tree.
- Method
  2.12.0.0
  System.Boolean `` a , the row being checked Checks to see whether a given row can be used as a source for a drag-and-drop operation. a , TRUE if the row is draggable. If the object does not implement this method, the row is assumed to be draggable.
- Event
  2.12.0.0
  GLib.Signal("row_has_child_toggled")
  Gtk.RowHasChildToggledHandler Raised when the child state of a row is toggled.
- Event
  2.12.0.0
  GLib.Signal("row_inserted")
  Gtk.RowInsertedHandler Raised when a new row is inserted into the tree.
- Event
  2.12.0.0
  GLib.Signal("rows_reordered")
  Gtk.RowsReorderedHandler Raised when rows are reordered or moved around.
- Method
  2.12.0.0
  System.Obsolete("Replaced by DefaultSortFunc property.")
  System.Void `` `` `` A , the function to use for sorting ignored ignored Sets a function that should be used to be sort columns by default if not otherwise specified by . This method is obsolete. The property is preferred for new code.
- Method
  2.12.0.0
  System.Void `` `` A , the sort column index. A , the kind of sort to use Sets which column is to be used to sort the data in the tree.
- Method
  2.12.0.0
  System.Void `` `` A , the index of the column to be sorted A , the function to use for sorting Sets a function to sort a particular column. This method is meant to be used together with .
- Method
  2.12.0.0
  System.Obsolete("Replaced by SetSortFunc (int, TreeIterCompareFunc) overload.")
  System.Void `` `` `` `` A , the index of the column to be sorted A , the function to use for sorting ignored ignored Sets a function to sort a particular column. This overload is obsolete. The two parameter overload is preferred for new code.
- Method
  2.12.0.0
  System.Void `` `` `` a a a Sets the value of column in the row pointed to by to if the value is a boolean.
- Method
  2.12.0.0
  System.Void `` `` `` a a a Sets the value of column in the row pointed to by to if the value is a .
- Method
  2.12.0.0
  System.Void `` `` `` a a a Sets the value of column in the row pointed to by to if the value is an .
- Method
  2.12.0.0
  System.Void `` `` `` a a a Sets the value of column in the row pointed to by to if the value is an .
- Method
  2.12.0.0
  System.Void `` `` `` a a a Sets the value of column in the row pointed to by to if the value is an .
- Method
  2.12.0.0
  System.Void `` `` `` a a a Sets the value of column in the row pointed to by to if the value is an .
- Method
  2.12.0.0
  System.Void `` `` `` a a a Sets the value of column in the row pointed to by to if the value is an . To be added.
- Event
  2.12.0.0
  GLib.Signal("sort_column_changed")
  System.EventHandler Raised when the sort column is changed.
- Method
  2.12.0.0
  System.Void `` an object of type Lets the tree unref the node. This is an optional method for models to implement. To be more specific, models may ignore this call as it exists primarily for performance reasons. For more information on what this means, see . Please note that nodes that are deleted are not unreferenced.